Page MenuHomePhabricator

efl.ui.box
Closed, ResolvedPublic

Description

class Efl.Ui.Box @beta
├ (P) homogeneous

Related Objects

StatusAssignedTask
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedNone
ResolvedNone
ResolvedNone
bu5hm4n created this task.May 3 2019, 11:16 AM
bu5hm4n triaged this task as TODO priority.
bu5hm4n moved this task from Backlog to Trivial on the efl: api board.May 6 2019, 10:07 AM

This class seems good to go.

zmike moved this task from Trivial to Stabilized on the efl: api board.May 15 2019, 10:15 AM
segfaultxavi added a comment.EditedJul 9 2019, 2:40 AM

Try as I might, I see no effect when I change Efl.Gfx.Arrangement.content_align on an Efl.Ui.Box. Looking at the code, content_align is unused by box.

I am updating the docs for the Box widget and I'd like to know the purpose of content_align.

EDIT: OK, I had to set the weight hint to -1, but still it only worked for the Y axis. And the relationship between Efl.Gfx.Arrangement.content_align and Efl.Gfx.Hint.align is not clear at all...

This is true - however, do you think this stops the box from beeing stable ? The interface giving that features is not about to be stable ... :)

I'm not thinking about stability now, I just need to know what content_align is supposed to do.

Okay, lets drag this discussion to Efl.Gfx.Arrangement ?

Diffusion closed subtask T7862: efl.pack_layout as Resolved.
zmike closed subtask T7578: efl.ui.view as Resolved.Thu, Sep 26, 8:12 AM